SDL_RenderCoordinatesFromWindow(3)

NAME
SDL_RenderCoordinatesFromWindow - Get a point in render coordinates when given a point in window coordinates.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderCoordinatesFromWindow(SDL_Renderer *renderer, float window_x, float window_y, float *x, float *y);

FUNCTION PARAMETERS

renderer
    the rendering context

window_x
    the x coordinate in window coordinates

window_y
    the y coordinate in window coordinates

x   a pointer filled with the x coordinate in render coordinates

y   a pointer filled with the y coordinate in render coordinates

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetRenderLogicalPresentation(3), SDL_SetRenderScale(3)